from django.contrib.auth.decorators import login_required

{% extends 'base.html' %}

{% block title %}
Scrumptious Recipes
{% endblock title%}

{% block content %}
  <header>
    <nav>
      <a href="{% url 'recipe_list'%}">Main page</a>
      @login_required
      <a href="{% url 'create_recipe' %}">Create a recipe</a>

      {% if user.is_authenticated %}
        Hello, {{ user.username }}
        <a href="{% url 'my_recipe_list' %}">My recipes</a>
        <a href="{% url 'user_logout' %}">Logout</a>
      {% else %}
        <a href="{% url 'signup' %}">Sign Up</a>
        <a href="{% url 'user_login' %}">Login</a>
      {% endif %}
    </nav>
  </header>
  <main>
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>
    <div class="grid-container">
      {% for recipe in recipe_list %}
      <div>
        <h3>
            <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
        </h3>
        <img src="{{ recipe.picture }}">
        <div>4.3 stars</div>
      </div>
      {% endfor %}
    </div>
  </main>
{% endblock content %}
